%global pypi_name dtlssocket
# Commit used was made Mar 21, 2019 and seems around to 0.8.6
%global dtlssocket_tinydtls_version 0.8.6

Name:           python-%{pypi_name}
Version:        0.1.10
Release:        1%{?dist}
Summary:        Cython wrapper for tinydtls with a Socket like interface

# tinydtls is also EPL-1.0
License:        EPL-1.0
URL:            https://git.fslab.de/jkonra2m/tinydtls-cython
Source0:        %{pypi_source DTLSSocket}

BuildRequires:  gcc

Provides:        bundled(tinydtls) = %{dtlssocket_tinydtls_version}

%description
This is a cython wrapper for tinydtls. It currently implements a socket like
Interface with sendmsg and readmsg. All other calls are passt to the underlying
socket.

%package -n     python3-%{pypi_name}
Summary:        %{summary}

BuildRequires:  python3-devel
BuildRequires:  python3dist(cython)
BuildRequires:  python3dist(setuptools)
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This is a cython wrapper for tinydtls. It currently implements a socket like
Interface with sendmsg and readmsg. All other calls are passt to the underlying
socket.

%prep
%autosetup -n DTLSSocket-%{version}
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
# dtlssocket's license file also contains the license statement of tinydtls
%license LICENSE
%{python3_sitearch}/DTLSSocket/
%{python3_sitearch}/DTLSSocket-%{version}-py%{python3_version}.egg-info/

%changelog
* Thu Sep 10 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.1.10-1
- Initial package for Fedora